!2345678901234567890223456789032345678904234567890523456789062345678907234567890
! ******************************************************************************
! **  calculate viscosity                         **
! ******************************************************************************

      subroutine RKF_Core( F_Core, Q_CMB, T_Core, T_CMB, tt, it, iRKS )

      use mod_cswitch
      use mod_thermp
      use mod_physp

      implicit none
      real(8):: F_Core, Q_CMB
      real(8):: T_Core, T_CMB
      real(8):: tt
      integer:: it, iRKS

      real(8):: r_ICB,  drdT_ICB, EIC_G, EIC_LG
      real(8):: rho_ICB
      real(8):: C_IC_OC

!   Inner core growth

!      write ( 6,* ) 'RKS_Core'

      call cal_ICB_radi( r_ICB, T_CMB )

      call cal_IC_grate( drdT_ICB, r_ICB, T_CMB )

!   Density of ICB

      call cal_ICB_rho( rho_ICB, r_ICB )

!   Apparent heat capacity of the core including latent and gravitational heat

      If ( IICG == 1 ) then
        C_IC_OC = C_Core
       else
        EIC_G   = EIC45_G * r_ICB / r45_ICB
        EIC_LG  = EIC_L + EIC_G 
        C_IC_OC = C_Core - EIC_LG * rho_ICB * 4.0d0 * pi * r_ICB**2 * drdT_ICB * Theta_C
      end if

      F_Core =  -Q_CMB / C_IC_OC

!      write ( 6,* ) 'Heat flow of CMB =', Q_CMB
!      write ( 6,* ) 'Apparent core heat capacity =', C_IC_OC
!      write ( 6,* ) 'F_Core =',F_Core
!      write ( 6,* ) 'Temperature variation of core =',F_Core*dt


      return

   end subroutine RKF_Core
