!2345678901234567890223456789032345678904234567890523456789062345678907234567890
! ******************************************************************************
! **  calculate viscosity                         **
! ******************************************************************************

   subroutine RKF_Man( F_Man, Q_CMB, T_Man, Tp_M, T_CMB, tt, it, iRKS ) 

!  Variable definitions

      use mod_cswitch
      use mod_physp
      use mod_thermp

      implicit none
      real(8):: F_Man,  Q_CMB
      real(8):: T_Man,  Tp_M,   T_CMB
      real(8):: tt
      integer:: it,     iRKS

      real(8):: Eta_U,  Eta_L
      real(8):: Tp_D  
      real(8):: DT_sur, DT_CMB  
      real(8):: Ra_Man, Ra_U,   Ra_L,   Ra_sur, Ra_CMB
      real(8):: Nu_sur, Nu_CMB
      real(8):: Q_sur,  H_Man
      real(8):: HF_sur, HF_CMB
      real(8):: Urey_R
      real(8):: ttBy


!  Calculate viscosity

      call cal_Visc( Eta_U, Eta_L, T_Man, T_CMB )

!      write ( 6,* ) Eta_U, Eta_L

!  D" temperature

      call cal_Tp_D( Tp_D, Tp_M )

!      write ( 6,* ) Tp_D, Tp_M

!  Temperature differences

      DT_sur = Tp_M  - T_sur
      DT_CMB = T_CMB - Tp_D

!  Calculate Rayleigh number

!      write ( 6,* ) DT_sur,DT_CMB
!      write ( 6,* ) 'hogehoge'

      call cal_Ra( Ra_Man, Ra_U,   Ra_L,  Ra_sur, Ra_CMB,          & 
                   DT_sur, DT_CMB, Eta_U, Eta_L )

!      write ( 6,* ) Ra_Man,Ra_sur,Ra_CMB

!  Calculate heat flux

      call  cal_heatf( Q_sur,  Q_CMB,  HF_sur, HF_CMB,                           &
                       DT_sur, DT_CMB, Ra_Man, Ra_U,   Ra_L,   Ra_sur, Ra_CMB )

!      write ( 6,* ) Q_sur,Q_CMB
!      write ( 6,* ) 'hogehoge'

!  Internal heat generation

      call cal_Qint( H_Man, tt )

!      write ( 6,* ) H_Man

!  calculate dT/dt

!      Q_CMB  = 0.0d0

      F_man  = ( H_Man - Q_sur + Q_CMB ) / C_Man

!      write ( 6,* ) H_Man - Q_sur + Q_CMB
!      write ( 6,* ) 'hogehogehoge'
!      write ( 6,* ) 'F_Man C_Man =',F_Man,C_Man
!      write ( 6,* ) 'tt dt =',tt,dt,dtBy
!      write ( 6,* ) 'Temperature variation of mantle =',F_Man*dt

!  Urey ratio

      Urey_R = H_Man / Q_sur

!      write ( 6,* ) 'Urey ratio =',Urey_R

!  File output

      ttBy = tt / SecBy

!      write ( 6, * ) it, iRKS, ttBy, H_Man,  Q_sur,  Q_CMB
!      write ( 6, * ) it, iRKS, ttBy, Ra_Man, Ra_sur, Ra_CMB

      if ( iRKS == 1 ) then
        write ( 22,* ) it, ttBy, H_Man,  Q_sur,  Q_CMB, HF_sur, HF_CMB, Urey_R
        write ( 23,* ) it, ttBy, Ra_Man, Ra_U,   Ra_L,  Ra_sur, Ra_CMB, Eta_U,  Eta_L
      end if

      return

   end subroutine RKF_Man
