!2345678901234567890223456789032345678904234567890523456789062345678907234567890
! ******************************************************************************

   subroutine Tmp_fact_C

      use mod_physp

      implicit none
      real(8):: A, B, E
      real(8):: dx
      real(8):: Sf1, Sf2 
      real(8),allocatable:: x(:), f(:)
      integer:: N, i

!   Set some parameters

!      write ( 6,* ) ' ***** R_CMB V_Core =',R_CMB,V_Core

      A = 0.5d0 * alph_C * g_0 / Cp_C
      E = exp( A * R_CMB )
      B = 4.0d0 * pi / V_Core * E

!   preperation for integration

      N  = 200
      allocate ( x(0:N),f(0:N) )

      dx = R_CMB / dfloat( N )

!      write ( 6,* ) A, E, B
!      write ( 6,* ) N,dx

      do i = 0,N
        x(i) = dx * dfloat(i)
        f(i) = x(i)**2 * exp( -A * x(i)**2 / R_CMB )
!        write ( 6,* ) x(i),f(i)
      end do

      Sf1 = 0.0d0
      do i = 1,N-1,2
        Sf1 = Sf1 + f(i)
      end do
      Sf2 = 0.0d0
      do i = 2,N-2,2
        Sf2 = Sf2 + f(i)
      end do

      ThInv_C = B * dx / 3.0d0 * ( f(0) + 4.0d0 * Sf1 + 2.0d0 * Sf2 + f(N) )
      Theta_C = 1.0d0 / ThInv_C

!      write ( 6,* ) 'Factor to convert potential and averaged temperatures of core'
!      write ( 6,* ) ThInv_C, Theta_C 

      return

   end subroutine Tmp_fact_C

      


