!2345678901234567890223456789032345678904234567890523456789062345678907234567890
! ******************************************************************************
! **  Calculate       **
! ******************************************************************************

   subroutine Tmp_fact_M

      use mod_cswitch
      use mod_physp

      implicit none
      real(8):: A,      Ainv,   B,       E

!   Set some parameters

!      write ( 6,* ) ' ******* V_Man =',V_Man, pi

      A    = alph_M * g_0 / Cp_M
      Ainv = 1.0d0 / A
      E    = exp( A * R_0 )
      B    = 4.0d0 * pi / V_Man *  E 

!      write ( 6,* ) 'A, Ainv = ',A, Ainv
!      write ( 6,* ) 'E, B    = ',E, B

!   Case with constant alpha

      if ( IADG == 1 ) then

        ThInv_M = B * ( ( R_CMB**2 * Ainv + 2.0d0 * R_CMB * Ainv**2         & 
                           + 2.0d0 * Ainv**3 ) * exp( -A * R_CMB )          &
                       -( R_0**2   * Ainv + 2.0d0 * R_0   * Ainv**2         &
                           + 2.0d0 * Ainv**3 ) * exp( -A * R_0 ) )            

!   Case with a constant adiabatic gradient

       else

        ThInv_M = 1.0d0 + A * R_0                                           &
                   - 3.0d0 / 4.0d0 * A * ( R_0**4 - R_CMB**4 )              &
                                        /( R_0**3 - R_CMB**3 )

      end if  

      Theta_M = 1.0d0 / ThInv_M

!      write ( 6,* ) 'Factor to convert potential and averaged temperatures of mantle'
!      write ( 6,* ) ThInv_M,Theta_M
  
      return

   end subroutine Tmp_fact_M


