!2345678901234567890223456789032345678904234567890523456789062345678907234567890
! ******************************************************************************

   subroutine cal_IC_grate( drdT_ICB, r_ICB, T_CMB )

      use mod_physp
      use mod_thermp

      implicit none
      real(8):: drdT_ICB
      real(8):: r_ICB, T_CMB
 
      real(8):: T_cen, Tm_cen, dTdr
      real(8):: A, B, C, D, E, F
      integer:: ICB

!  Set parameters

      A = 0.5d0 * alph_C * g_0 / ( Cp_C * R_CMB )
      B = exp( A * R_CMB**2 )
      C = Tm_CMB * ( 1.0d0 - gTm_C / P_CMB * phi_C * rho_CMB )
      D = 0.5d0 * g_0 / ( phi_C * R_CMB )
      E = rho_CMB * exp( D * R_CMB**2 )
      F = Tm_CMB * gTm_C / P_CMB * phi_C * E

!      write ( 6,* ) A, B, C, D, E

!   Temperature at the planetary center 

      T_cen  = T_CMB * B
      Tm_cen = C + F 

!   Check of the closs point
 
      if ( T_CMB < Tm_CMB ) then        !  Solid core
        ICB = 2
       else if ( T_cen < Tm_cen ) then  !  liquid and solid core
        ICB = 1
       else                             !  liquid core
        ICB = 0
      end if

!   Inner core formation phase

      if ( ICB == 1 ) then
 
        dTdr = 2.0d0 * r_ICB / B                                       &
                     * ( A * C * exp( A * r_ICB**2 )                   &
                       + ( A - D ) * F * exp( ( A - D ) * r_ICB**2 ) )

        drdT_ICB = 1.0d0 / dTdr

!        write ( 6,* ) ICB, r_ICB, drdT_ICB

       else

        drdT_ICB = 0.0d0

!        write ( 6,* ) ICB, 'No ICB' 

      end if

      return

   end subroutine cal_IC_grate

