!2345678901234567890223456789032345678904234567890523456789062345678907234567890
! ******************************************************************************
! **  set physical parameters                         **
! ******************************************************************************
   subroutine cal_Ra( Ra_Man, Ra_U,   Ra_L,  Ra_sur, Ra_CMB,          & 
                      DT_sur, DT_CMB, Eta_U, Eta_L )

      use mod_physp
      use mod_thermp

      implicit none
      real(8):: Ra_Man, Ra_U,   Ra_L,   Ra_sur, Ra_CMB
      real(8):: DT_sur, DT_CMB
      real(8):: Eta_U,  Eta_L  

!   Rayleigh number

      Ra_Man  = rho_Man * alph_M * ( DT_sur + DT_CMB ) * g_0 * D_Man**3    & 
                / ( Eta_U * kap_M )

!   Rayleigh number with upper mantle viscosity

      Ra_U    = rho_Man * alph_M * ( DT_sur + DT_CMB ) * g_0 * D_Man**3    & 
                / ( Eta_U * kap_M )

!   Rayleigh number with upper mantle viscosity

      Ra_L    = rho_Man * alph_M * ( DT_sur + DT_CMB ) * g_0 * D_Man**3    & 
                / ( Eta_L * kap_M )

!   Surface Rayleigh munber

      Ra_sur = rho_Man * alph_M * DT_sur * g_0 * D_Man**3                  & 
                / ( Eta_U * kap_M )

!   Bottom Rayleigh munber

      Ra_CMB = rho_Man * alph_M * DT_CMB * g_0 * D_Man**3                  & 
                / ( Eta_L * kap_M )

      return

   end subroutine cal_Ra
