! *****************************************************************************
! *   type definitions of variables for physical parameters              *
! *****************************************************************************
   module mod_physp

      implicit none

      real(8):: pi
      real(8):: SecBy

      real(8):: g_0
      real(8):: R_0,    M_Man,  V_Man,    S_Man,  C_Man
      real(8):: D_Man
      real(8):: rho_Man
      real(8):: Cp_M,   Alph_M
      real(8):: Theta_M,ThInv_M
      real(8):: k_M,    kap_M
      real(8):: C_U,    R_238,  R_235,    R_Th,   R_K40   
      real(8):: t_238,  t_235,  t_Th,     t_K40
      real(8):: L_238,  L_235,  L_Th,     L_K40
      real(8):: H_238,  H_235,  H_Th,     H_K40
      real(8):: Tm_sur, gTm_M 

      real(8):: R_gas,  Hstar,  A_Eta,    Eta_VJ
      real(8):: beta_U, beta_L, A_RaNu_U, A_RaNu_L 

      real(8):: R_CMB,  M_Core, V_Core,   S_CMB,  C_Core
      real(8):: rho_CMB
      real(8):: rho_Core
      real(8):: Cp_C,   Alph_C
      real(8):: Theta_C,ThInv_C
      real(8):: EIC_L,  EIC45_G
      real(8):: Vp_C,   phi_C,  P_CMB
      real(8):: Tm_CMB, gTm_C   
      real(8):: TmF_CMB,TmT_CMB

   end module mod_physp

