!2345678901234567890223456789032345678904234567890523456789062345678907234567890
! ******************************************************************************
! **  set physical parameters                         **
! ******************************************************************************

   subroutine set_physp

      use mod_physp
      use mod_thermp
      implicit none
      real(8):: Tm_sur_C, Tm_CMB_C
      character(80):: A

      write ( 6,* ) 'Read physcal parameters'

      open ( 11, file='th_phys_para.data',status='OLD' )

!   Skip header
   
      read  ( 11, * )

!  (1) Gravisty acceralation

      read ( 11, * ) A
      read ( 11, * ) g_0
      write ( 6, * ) A, g_0

!  (2) Raidius of planets

      read ( 11, * ) A
      read ( 11, * ) R_0
      write ( 6, * ) A, R_0

!  (3) Mass of the mantle

      read ( 11, * ) A
      read ( 11, * ) M_Man
      write ( 6, * ) A, M_Man

!  (4) Specific heat of mantle

      read ( 11, * ) A
      read ( 11, * ) Cp_M
      write ( 6, * ) A, Cp_M

!  (5) Thermal expansion coefficient of mantle

      read ( 11, * ) A
      read ( 11, * ) alph_M
      write ( 6, * ) A, alph_M

!  (6) Thermal diffusivity of mantle

      read ( 11, * ) A
      read ( 11, * ) kap_M
      write ( 6, * ) A, kap_M

!  (7) Melting temperature at the surface

      read ( 11, * ) A
      read ( 11, * ) Tm_sur_C

      Tm_sur = Tm_sur_C + T_0C
      write ( 6, * ) A, Tm_sur

!  (8) Pressure gradient of melting temperature of the core

      read ( 11, * ) A
      read ( 11, * ) gTm_M
      write ( 6, * ) A, gTm_M

!  (9) Concentration of Uranium in the mantle

      read ( 11, * ) A
      read ( 11, * ) C_U
      write ( 6, * ) A, C_U

!  (10) Concentration ratio 238U/U_total

      read ( 11, * ) A
      read ( 11, * ) R_238
      write ( 6, * ) A, R_238

!  (11) Concentration ratio 238U/U_total

      read ( 11, * ) A
      read ( 11, * ) R_235
      write ( 6, * ) A, R_235

!  (12) Concentration ratio Th/U_total

      read ( 11, * ) A
      read ( 11, * ) R_Th
      write ( 6, * ) A, R_Th

!  (13) Concentration ratio Th/U_total

      read ( 11, * ) A
      read ( 11, * ) R_K40
      write ( 6, * ) A, R_K40

!  (14) Heat generation by 238U

      read ( 11, * ) A
      read ( 11, * ) H_238
      write ( 6, * ) A, H_238

!  (15) Heat generation by 235U

      read ( 11, * ) A
      read ( 11, * ) H_235
      write ( 6, * ) A, H_235

!  (16) Heat generation by Th

      read ( 11, * ) A
      read ( 11, * ) H_Th
      write ( 6, * ) A, H_Th

!  (17) Heat generation by Th

      read ( 11, * ) A
      read ( 11, * ) H_K40
      write ( 6, * ) A, H_K40

!  (18) Half life of 238U

      read ( 11, * ) A
      read ( 11, * ) t_238
      write ( 6, * ) A, t_238

!  (19) Half life of 235U

      read ( 11, * ) A
      read ( 11, * ) t_235
      write ( 6, * ) A, t_235

!  (20) Half life of Th

      read ( 11, * ) A
      read ( 11, * ) t_Th
      write ( 6, * ) A, t_Th

!  (21) Half life of K

      read ( 11, * ) A
      read ( 11, * ) t_K40
      write ( 6, * ) A, t_K40

!  (22) Gass constant

      read ( 11, * ) A
      read ( 11, * ) R_gas
      write ( 6, * ) A, R_gas

!  (23) Activation entalpy

      read ( 11, * ) A
      read ( 11, * ) Hstar
      write ( 6, * ) A, Hstar

!  (24) Viscosity jump at 660-km depth

      read ( 11, * ) A
      read ( 11, * ) Eta_VJ
      write ( 6, * ) A, Eta_VJ

!  (25) Ra-Nu Coupling exponent beta for upper surface

      read ( 11, * ) A
      read ( 11, * ) beta_U
      write ( 6, * ) A, beta_U

!  (26) Ra-Nu Coupling exponent beta for lower surface

      read ( 11, * ) A
      read ( 11, * ) beta_L
      write ( 6, * ) A, beta_L

!  (27) Radius of core

      read ( 11, * ) A
      read ( 11, * ) R_CMB
      write ( 6, * ) A, R_CMB

!  (28) Mass of core

      read ( 11, * ) A
      read ( 11, * ) M_Core
      write ( 6, * ) A, M_Core

!  (29) Specific heat of core

      read ( 11, * ) A
      read ( 11, * ) Cp_C
      write ( 6, * ) A, Cp_C

!  (30) Thermal expansion coefficient of core

      read ( 11, * ) A
      read ( 11, * ) alph_C
      write ( 6, * ) A, alph_C

!  (31) Core density at CMB

      read ( 11, * ) A
      read ( 11, * ) rho_CMB
      write ( 6, * ) A, rho_CMB

!  (32) Latent heat release by inner core formation

      read ( 11, * ) A
      read ( 11, * ) EIC_L
      write ( 6, * ) A, EIC_L

!  (33) Gravity energy release by inner core formation at present

      read ( 11, * ) A
      read ( 11, * ) EIC45_G
      write ( 6, * ) A, EIC45_G

!  (34) Averaged p-velocity of core

      read ( 11, * ) A
      read ( 11, * ) Vp_C
      write ( 6, * ) A, Vp_C

!  (35) Pressure at the CMB

      read ( 11, * ) A
      read ( 11, * ) P_CMB
      write ( 6, * ) A, P_CMB

!  (36) Melting temperature at CMB

      read ( 11, * ) A
      read ( 11, * ) Tm_CMB_C

      TmF_CMB = Tm_CMB_C + T_0C
      write ( 6, * ) A, TmF_CMB

!  (37) Pressure gradient of melting temperature of the core

      read ( 11, * ) A
      read ( 11, * ) gTm_C
      write ( 6, * ) A, gTm_C

      close ( 11 )

      return

   end subroutine set_physp
