!2345678901234567890223456789032345678904234567890523456789062345678907234567890
! ******************************************************************************
! **  set parameters of thermal conditions                                    **
! ******************************************************************************

   subroutine set_therm_cond

      use mod_thermp
      implicit none
      real(8):: T_sur_C
      real(8):: Tp00_M_C, T00_CMB_C
      real(8):: Tp45_M_C, T45_CMB_C

      character(80):: A

      write ( 6,* ) 'Read thermal and evolution conditions'

!  Open thermal and evolution parameter
 
      open ( 12, file='th_therm_para.data',status='OLD' )

!  Skip header

      read ( 12, * ) A

!  (1) Number of time steps 

      read ( 12, * ) A
      read ( 12, * ) Nt
      write ( 6, * ) A, Nt

!  (2) Age or evolution duration of planet

      read ( 12, * ) A
      read ( 12, * ) tBa_45
      write ( 6, * ) A, tBa_45

!  (3) Absolute temperature of 0 degree Celsius 

      read ( 12, * ) A
      read ( 12, * ) T_0C
      write ( 6, * ) A, T_0C

!  (4) Temperature at the planetary surface

      read ( 12, * ) A
      read ( 12, * ) T_sur_C

      T_sur = T_sur_C + T_0C
      write ( 6, * ) A, T_sur

!  (5) Inital potential temperature of the mantle

      read ( 12, * ) A
      read ( 12, * ) Tp00_M_C

      Tp00_M = Tp00_M_C + T_0C
      write ( 6, * ) A, Tp00_M

!  (6) Inital potential temperature of the core (CMB temperature)

      read ( 12, * ) A
      read ( 12, * ) T00_CMB_C

      T00_CMB = T00_CMB_C + T_0C
      write ( 6, * ) A, T00_CMB

!  (7) Terminal condition of mantle (also used to calculate Viscosity coeff.)

      read ( 12, * ) A
      read ( 12, * ) Tp45_M_C

      Tp45_M = Tp45_M_C +T_0C
      write ( 6, * ) A, Tp45_M

!  (8) Terminal condition of core (also used to calculate core melting temp.)

      read ( 12, * ) A
      read ( 12, * ) T45_CMB_C

      T45_CMB = T45_CMB_C + T_0C
      write ( 6, * ) A, T45_CMB

!  (9) Terminal condition of surface heat flux 
!     (also used to calculate Ra-Nu relation)

      read ( 12, * ) A
      read ( 12, * ) Q45_sur
      write ( 6, * ) A, Q45_sur

!  (10) Terminal condition of Urey ratio 
!     (also used to calculate Ra-Nu relation)

      read ( 12, * ) A
      read ( 12, * ) Urey45
      write ( 6, * ) A, Urey45

!  (11) Averaged viscosity of present mantle

      read ( 12, * ) A
      read ( 12, * ) Eta45
      write ( 6, * ) A, Eta45

!  (12) Reference or terminal radius of the inner core

      read ( 12, * ) A
      read ( 12, * ) r45_ICB
      write ( 6, * ) A, r45_ICB
  
      close ( 12 )

      return

   end subroutine set_therm_cond
